# Method: accounts.locations.create

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/create#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/create#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/create#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/create#body.response_body)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/create#body.aspect)

Creates a new `https://developers.google.com/my-business/reference/rest/v4/accounts.locations#Location` owned by the specified account, and returns it.

### HTTP request

`POST https://mybusiness.googleapis.com/v4/{parent=accounts/*}/locations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The name of the account in which to create this location. |

### Query parameters

| Parameters ||
|---|---|
| `validateOnly` | `boolean` If true, the request is validated without actually creating the location. |
| `requestId` | `string` A unique request ID for the server to detect duplicated requests. We recommend using UUIDs. Max length is 50 characters. |

### Request body

The request body contains an instance of `https://developers.google.com/my-business/reference/rest/v4/accounts.locations#Location`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/my-business/reference/rest/v4/accounts.locations#Location`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).